Description

Hello

Verifiez le comportement de LFR que reception d une TC < CCSDS_TC_PKT_MIN_SIZE (16 octets).

Cette taille est la taille du buffer fourni par le spacewire.

Elle correspond aux

- 4 octets pour | entete SPW

- 12 octets correspondant a la plus petite TC de LFR (TC_LFR_RESET, TC_LFR_ENABLE_CALIBRATION,
TC_LFR_DISABLE_CALIBRATION, TC_LFR_DUMP_KCOEFFICIENTS).

History

#1 - 22/10/2018 11:48 AM - Veronique bouzid

- Subject changed from Envoi d une TC dont la taile est infereiure a 16 to Envoi d une TC dont la taile est inferieure a 16

#2 - 29/10/2018 04:05 PM - Veronique bouzid

- Description updated

#3 - 31/10/2018 08:27 AM - Veronique bouzid

- revision changed from r0 to r3.2.0.22

#4 - 31/10/2018 08:32 AM - Veronique bouzid

- Status changed from New to In Progress

le script utilisé est /opt/VALIDATION_R3plusplus/Ifrverif/LFR_SVS/SVS-0003/send_short_tc.py.
On envoie une tc dont la longueur est de 12 octets

- 4 octets entete spacewire

- 8 octets (CCSDS) comprenant 2 octets pour le CRC.

Le champ Packet Length vaut 1.

les fichiers (2018_10_22-14_07_32*) se trouvent dans le répertoire /home/validation/data/R3++/3.2.0.22/1.1.91/GCOV/TEST-SHORT-TC.

LFR n'acquitte pas cette commande. On obtient le message suivant
14:07:27.371927, /\No TM_LFR_TC_EXE_* after time-out (4s).

#5 - 21/11/2018 10:02 AM - Veronique bouzid

Validé également en 3.2.0.24 et integré dans SVS-0003.
Ce qui a été ajouté c est |

- 'envoi d une TC trop courte

- envoi d une TC trop courte avec CRC erroné

Dans les 2 cas, les commandes ne sont pas acquittés.

L analyse GCOV confirme ce comportement car la TC trop courte est détectée au debut de la phase d acceptance et elle est rejetée avant | analyse
syntaxique de la commde (PID, ..).

#6 - 21/11/2018 10:05 AM - Veronique bouzid

- Status changed from In Progress to Closed
